<?xml version="1.0" encoding="utf-8"?>

<layout xmlns:app="http://schemas.android.com/apk/res-auto">
    <data>
        <import type="android.text.Html" />
        <import type="it.integry.integrywmsnative.R" />
        <variable
            name="mContext"
            type="android.content.Context" />
    </data>

    <androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
        android:orientation="vertical" android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        app:cardCornerRadius="12dp"
        app:cardElevation="0dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/light_blue_300"
                android:gravity="center_horizontal">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_error_white_24dp"
                    android:layout_margin="24dp"/>

            </RelativeLayout>



            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:paddingTop="24dp"
                android:paddingLeft="24dp"
                android:paddingRight="24dp">

                <TextView
                    android:id="@+id/title_text"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    style="@style/TextViewMaterial.DialogTitle"
                    android:text="@string/lu_info"
                    android:gravity="center_horizontal"/>

                <!--<TextView-->
                    <!--android:id="@+id/description_text"-->
                    <!--android:layout_width="match_parent"-->
                    <!--android:layout_height="wrap_content"-->
                    <!--style="@style/TextViewMaterial"-->
                    <!--android:text="@string/dialog_message_additional_notes"-->
                    <!--android:gravity="left"-->
                    <!--android:layout_marginTop="16dp"-->
                    <!--android:layout_marginBottom="16dp" />-->


                <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
                    android:orientation="vertical"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="16dp">

                    <com.google.android.material.textfield.TextInputLayout
                        android:id="@+id/level_number_layout"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="16dp"
                        style="@style/TextInputLayout.OutlinePrimary">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/additional_notes_text"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:hint="@string/hint_additional_notes"
                            android:inputType="text"
                            style="@style/TextInputEditText.OutlinePrimary"/>

                    </com.google.android.material.textfield.TextInputLayout>



                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="horizontal"
                        android:paddingTop="8dp"
                        android:paddingBottom="8dp"
                        android:gravity="bottom|center_horizontal">


                        <com.google.android.material.button.MaterialButton
                            android:id="@+id/button_abort"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            style="@style/Button.PrimaryOutline"
                            app:icon="@drawable/ic_clear_24dp"
                            app:strokeColor="@color/colorPrimary"
                            android:layout_marginEnd="8dp"
                            android:text="@string/abort"/>


                        <com.google.android.material.button.MaterialButton
                            android:id="@+id/button_confirm"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            style="@style/Button.PrimaryFull"
                            app:icon="@drawable/ic_save_24dp"
                            android:text="@string/confirm"/>
                    </LinearLayout>

                </LinearLayout>

            </LinearLayout>


        </LinearLayout>


    </androidx.cardview.widget.CardView>

</layout>